Compare commits

..

45 Commits

Author SHA1 Message Date
Simon L
5e6e433cd2 Merge pull request #2131 from nextcloud/enh/noid/revert-talk-apache
revert "Talk - Apache seemingly needs to be whitelisted as well"
2023-03-09 18:57:31 +01:00
Simon L
86b6d92761 revert "Talk - Apache seemingly needs to be whitelisted as well"
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-09 18:55:53 +01:00
Simon L
a97af08bb8 talk - wait for nextcloud-aio-apache to be started
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-09 18:25:05 +01:00
Simon L
264980df57 increase to 4.6.2
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-09 18:05:54 +01:00
Simon L
e94f63bd26 Merge pull request #2127 from nextcloud/enh/noid/add-reasons
add reasons why changing volume and container name is not supported
2023-03-09 18:04:14 +01:00
Simon L
4689e402f8 Merge pull request #2128 from nextcloud/enh/noid/talk-whitelist-apache
Talk - Apache seemingly needs to be whitelisted as well
2023-03-09 18:03:15 +01:00
Simon L
ba760b060e Merge pull request #2129 from nextcloud/enh/noid/collabora-mount_jail_tree
collabora - add mount_jail_tree=false
2023-03-09 18:02:17 +01:00
Simon L
4800888da6 collabora - add mount_jail_tree=false
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-09 17:55:48 +01:00
Simon L
8539b25278 Talk - Apache seemingly needs to be whitelisted as well
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-09 17:08:21 +01:00
Simon L
5ddf989703 add reasons why changing volume and container name is not supported
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-09 16:23:31 +01:00
Simon L
90c2328400 increase to 4.6.1
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-08 14:54:23 +01:00
Simon L
f5ee38247c Merge pull request #2122 from nextcloud/enh/noid/fix-borg-globbing
borg script - disable globbing
2023-03-08 14:53:33 +01:00
Simon L
f51029270b Merge pull request #2123 from nextcloud/enh/noid/imaginary-prevent-memory-issues
imaginary - try to prevent possible memory issues
2023-03-08 14:52:59 +01:00
Simon L
d27aa357db Merge pull request #2125 from nextcloud/dependabot/docker/Containers/apache/httpd-2.4.56-alpine3.17
Bump httpd from 2.4.55-alpine3.17 to 2.4.56-alpine3.17 in /Containers/apache
2023-03-08 14:09:07 +01:00
dependabot[bot]
4b3e192ee6 Bump httpd in /Containers/apache
Bumps httpd from 2.4.55-alpine3.17 to 2.4.56-alpine3.17.

---
updated-dependencies:
- dependency-name: httpd
  dependency-type: direct:production
  update-type: version-update:semver-patch
...

Signed-off-by: dependabot[bot] <support@github.com>
2023-03-08 13:00:51 +00:00
Simon L
d974023c8d imaginary - try to prevent possible memory issues
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-08 11:08:03 +01:00
Simon L
204aa5649c fix typo
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-08 00:12:54 +01:00
Simon L
8cd5f604c4 Nextcloud_mount is actually supported on windows now
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 23:26:42 +01:00
Simon L
fdb0330959 add an example for NEXTCLOUD_MOUNT on macOS
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 23:16:17 +01:00
Simon L
4f5062080b borg script - disable globbing
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 23:15:15 +01:00
Simon L
39b669ae83 fix typo
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 11:27:07 +01:00
Simon L
671a73a6c4 fix typo
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 10:57:51 +01:00
Simon L
a4f0852bdf increase to 4.6.0
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 10:43:04 +01:00
Simon L
46ae99e36b Merge pull request #2109 from nextcloud/enh/noid/change-permission-check
change how permission check setting works
2023-03-07 10:41:22 +01:00
Simon L
07054d869b Merge pull request #2114 from nextcloud/enh/noid/update-imaginary-dependencies
update some imaginary dependencies to improve performance
2023-03-07 10:23:23 +01:00
Simon L
ebbcb998ce address review
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 10:04:11 +01:00
Simon L
9f8d17d888 Merge pull request #2113 from nextcloud/enh/noid/cap_add
fix set_memory for imaginary and move cap_add to containers.json
2023-03-07 09:59:45 +01:00
Simon L
56a95182c7 change to bookworm
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 09:56:03 +01:00
Simon L
e218c1d041 Merge pull request #2107 from nextcloud/enh/noid/add-another-volume-check
add a check if the mastercontainer volume is really connected to the mastercontainer
2023-03-07 09:53:20 +01:00
Simon L
356792ec68 Merge pull request #2106 from nextcloud/enh/noid/rm-tzdata-master
remove tzdata from mastercontainer
2023-03-07 09:46:55 +01:00
Simon L
30ae4eeecd Merge pull request #2098 from nextcloud/enh/noid/exclude-some-logs
exclude nextcloud and audit log in backup due to GPDR reasons
2023-03-07 09:46:38 +01:00
Simon L
8685107e2e Merge pull request #2118 from nextcloud/enh/noid/send-update-notification-on-saturdays
only send update notifications on saturdays
2023-03-07 09:44:43 +01:00
Simon L
f01a5841b9 only send update notifications on saturdays
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 09:29:04 +01:00
Simon L
2a01e9683b exclude nextcloud and audit log in backup due to GPDR reasons
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 09:22:02 +01:00
Simon L
0873e526b4 Merge pull request #2115 from spatterIight/patch-1
Update migration.md
2023-03-07 08:57:46 +01:00
spatterlight
2306587a7d Update migration.md
Fixed typo

Signed-off-by: spatterlight <81454789+spatterIight@users.noreply.github.com>
2023-03-06 21:14:45 +00:00
Simon L
69b0911db1 add two options to cifs mount
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-06 15:14:04 +01:00
Simon L
6587530242 fix set_memory for imaginary and move cap_add to containers.json
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-06 11:45:07 +01:00
Simon L
cf3f1f04cd update some imaginary dependencies to improve performance
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-06 11:42:00 +01:00
Simon L
ba6efd2a9c change how permission check setting works
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-05 14:36:21 +01:00
Simon L
1e96eed341 add a check if the mastercontainer volume is really connected to the mastercontainer
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-04 20:17:19 +01:00
Simon L
c54395aa4c update snap migration advice
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-04 18:02:05 +01:00
Simon L
4590b28b50 remove tzdata from mastercontainer
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-04 17:26:57 +01:00
Simon L
a77ae20e5d Merge pull request #2102 from shaan7/patch-1
Fix directory path example
2023-03-03 23:23:14 +01:00
Shantanu Tushar
c5e481b767 Fix directory path example
`/run/desktop/mnt/host/c/ncdata` does not really contain the word `backup`, so I'm guessing `C:\backup` is a typo.

Signed-off-by: Shantanu Tushar <shaan7in@gmail.com>
2023-03-04 03:17:33 +05:30
16 changed files with 85 additions and 28 deletions

View File

@@ -1,7 +1,7 @@
# Caddy is a requirement
FROM caddy:2.6.4-alpine as caddy
FROM httpd:2.4.55-alpine3.17
FROM httpd:2.4.56-alpine3.17
RUN set -ex; \
apk add --no-cache shadow; \

View File

@@ -129,10 +129,13 @@ if [ "$BORG_MODE" = backup ]; then
# https://forum.level1techs.com/t/optimal-compression-for-borg-backups/145870/6
BORG_OPTS=(-v --stats --compression "auto,zstd" --exclude-caches --checkpoint-interval 86400)
# Exclude the nextcloud log and audit log for GDPR reasons
BORG_EXCLUDE=(--exclude "/nextcloud_aio_volumes/nextcloud_aio_nextcloud/data/nextcloud.log*" --exclude "/nextcloud_aio_volumes/nextcloud_aio_nextcloud/data/audit.log")
# Create the backup
echo "Starting the backup..."
get_start_time
if ! borg create "${BORG_OPTS[@]}" "$BORG_BACKUP_DIRECTORY::$CURRENT_DATE-nextcloud-aio" "/nextcloud_aio_volumes/"; then
if ! borg create "${BORG_OPTS[@]}" "${BORG_EXCLUDE[@]}" "$BORG_BACKUP_DIRECTORY::$CURRENT_DATE-nextcloud-aio" "/nextcloud_aio_volumes/"; then
echo "Deleting the failed backup archive..."
borg delete --stats "$BORG_BACKUP_DIRECTORY::$CURRENT_DATE-nextcloud-aio"
echo "Backup failed!"
@@ -264,13 +267,15 @@ if [ "$BORG_MODE" = restore ]; then
# Restore everything except the configuration file
if ! rsync --stats --archive --human-readable -vv --delete \
--exclude "nextcloud_aio_apache/caddy/"** \
--exclude "nextcloud_aio_mastercontainer/caddy/"** \
--exclude "nextcloud_aio_mastercontainer/certs/"** \
--exclude "nextcloud_aio_apache/caddy/**" \
--exclude "nextcloud_aio_mastercontainer/caddy/**" \
--exclude "nextcloud_aio_nextcloud/data/nextcloud.log*" \
--exclude "nextcloud_aio_nextcloud/data/audit.log" \
--exclude "nextcloud_aio_mastercontainer/certs/**" \
--exclude "nextcloud_aio_mastercontainer/data/configuration.json" \
--exclude "nextcloud_aio_mastercontainer/data/daily_backup_running" \
--exclude "nextcloud_aio_mastercontainer/data/session_date_file" \
--exclude "nextcloud_aio_mastercontainer/session/"** \
--exclude "nextcloud_aio_mastercontainer/session/**" \
/tmp/borg/nextcloud_aio_volumes/ /nextcloud_aio_volumes; then
RESTORE_FAILED=1
echo "Something failed while restoring from backup."

View File

@@ -8,6 +8,15 @@ RUN set -ex; \
apt-get install -y --no-install-recommends \
netcat \
; \
echo "deb http://deb.debian.org/debian bookworm main" > /etc/apt/sources.list.d/bookworm.list; \
apt-get update; \
apt-get install -t bookworm -y --no-install-recommends \
libheif1 \
libde265-0 \
libx265-199 \
libvips \
; \
rm /etc/apt/sources.list.d/bookworm.list; \
rm -rf /var/lib/apt/lists/*
USER nobody
@@ -15,3 +24,6 @@ ENTRYPOINT ["/usr/local/bin/imaginary", "-return-size", "-max-allowed-resolution
HEALTHCHECK CMD nc -z localhost 9000 || exit 1
LABEL com.centurylinklabs.watchtower.monitor-only="true"
# https://github.com/h2non/imaginary#memory-issues
ENV MALLOC_ARENA_MAX=2

View File

@@ -27,7 +27,6 @@ RUN set -ex; \
util-linux-misc \
ca-certificates \
wget \
tzdata \
bash \
apache2 \
apache2-proxy \

View File

@@ -38,8 +38,10 @@ while true; do
# Make sure to delete the lock file always
rm -f "/mnt/docker-aio-config/data/daily_backup_running"
# Check for updates and send notification if yes
sudo -u www-data php /var/www/docker-aio/php/src/Cron/UpdateNotification.php
# Check for updates and send notification if yes on saturdays
if [ "$(date +%u)" = 6 ]; then
sudo -u www-data php /var/www/docker-aio/php/src/Cron/UpdateNotification.php
fi
# Check if AIO is outdated
sudo -u www-data php /var/www/docker-aio/php/src/Cron/OutdatedNotification.php

View File

@@ -78,12 +78,16 @@ fi
# Check if startup command was executed correctly
if ! sudo -u www-data docker ps --format "{{.Names}}" | grep -q "^nextcloud-aio-mastercontainer$"; then
echo "It seems like you did not give the mastercontainer the correct name?
Using a different name is not supported!"
echo "It seems like you did not give the mastercontainer the correct name? (The 'nextcloud-aio-mastercontainer' container was not found.)
Using a different name is not supported since mastercontainer updates will not work in that case!"
exit 1
elif ! sudo -u www-data docker volume ls --format "{{.Name}}" | grep -q "^nextcloud_aio_mastercontainer$"; then
echo "It seems like you did not give the mastercontainer volume the correct name?
Using a different name is not supported!"
echo "It seems like you did not give the mastercontainer volume the correct name? (The 'nextcloud_aio_mastercontainer' volume was not found.)
Using a different name is not supported since the built-in backup solution will not work in that case!"
exit 1
elif ! sudo -u www-data docker inspect nextcloud-aio-mastercontainer | grep -q "nextcloud_aio_mastercontainer"; then
echo "It seems like you did not attach the 'nextcloud_aio_mastercontainer' volume to the mastercontainer?
This is not supported since the built-in backup solution will not work in that case!"
exit 1
fi

View File

@@ -212,9 +212,8 @@ if ! [ -f "$NEXTCLOUD_DATA_DIR/skip.update" ]; then
exit 1
fi
if [ "$SKIP_DATA_DIRECTORY_PERMISSION_CHECK" = yes ]; then
php /var/www/html/occ config:system:set check_data_directory_permissions --value=false --type=bool
fi
# We do our own permission check so the permission check is not needed
php /var/www/html/occ config:system:set check_data_directory_permissions --value=false --type=bool
# Try to force generation of appdata dir:
php /var/www/html/occ maintenance:repair
@@ -297,6 +296,11 @@ if ! [ -f "$NEXTCLOUD_DATA_DIR/skip.update" ]; then
done
fi
# Set the permission check to its default value again if not set
if [ "$SKIP_DATA_DIRECTORY_PERMISSION_CHECK" != yes ]; then
php /var/www/html/occ config:system:set check_data_directory_permissions --value=true --type=bool
fi
#upgrade
else
touch "$NEXTCLOUD_DATA_DIR/update.failed"

View File

@@ -13,7 +13,7 @@ elif [ -z "$SIGNALING_SECRET" ]; then
fi
set -x
IPv4_ADDRESS="$(dig nextcloud-aio-talk A +short)"
IPv4_ADDRESS_TALK="$(dig nextcloud-aio-talk A +short)"
set +x
# Turn
@@ -34,7 +34,7 @@ no-tls
no-dtls
userdb=/var/lib/turn/turndb
# Based on https://nextcloud-talk.readthedocs.io/en/latest/TURN/#turn-server-and-internal-networks
allowed-peer-ip=$IPv4_ADDRESS
allowed-peer-ip=$IPv4_ADDRESS_TALK
denied-peer-ip=0.0.0.0-0.255.255.255
denied-peer-ip=10.0.0.0-10.255.255.255
denied-peer-ip=100.64.0.0-100.127.255.255

View File

@@ -15,12 +15,12 @@ The procedure for migrating only the files works like this:
1. Recreate all users that were present on your former installation
1. Take a backup using Nextcloud AIO's built-in backup solution (so that you can easily restore to this state again) (Note: this will stop all containers and is expected: don't start the container again at this point!)
1. Restore the datadirectory of your former instance: for `/path/to/nextcloud/data/` run `sudo docker cp --follow-link /path/to/nextcloud/data/ nextcloud-aio-nextcloud:/mnt/ncdata/` Note: the `/` at the end are necessary.
1. Next, run `sudo docker run --rm --volume nextcloud_aio_nextcloud_data:/mnt/ncdata:rw alpine chown -R 33:0 /mnt/ncdata/"` and `sudo docker run --rm --volume nextcloud_aio_nextcloud_data:/mnt/ncdata:rw alpine chmod -R 750 /mnt/ncdata/` to apply the correct permissions. (Or if `NEXTCLOUD_DATADIR` was provided, apply `chown -R 33:0` and `chmod -R 750` to the chosen path.)
1. Next, run `sudo docker run --rm --volume nextcloud_aio_nextcloud_data:/mnt/ncdata:rw alpine chown -R 33:0 /mnt/ncdata/` and `sudo docker run --rm --volume nextcloud_aio_nextcloud_data:/mnt/ncdata:rw alpine chmod -R 750 /mnt/ncdata/` to apply the correct permissions. (Or if `NEXTCLOUD_DATADIR` was provided, apply `chown -R 33:0` and `chmod -R 750` to the chosen path.)
1. Start the containers again and wait until all containers are running
1. Run `sudo docker exec --user www-data -it nextcloud-aio-nextcloud php occ files:scan-app-data && sudo docker exec --user www-data -it nextcloud-aio-nextcloud php occ files:scan --all` in order to scan all files in the datadirectory.
## Migrate the files and the database
**Please note**: this is much more complicated than migrating only the files and also not as failproof so be warned! Also, this will not work on former snap installations as the snap is read-only and thus you cannot install the necessary `pdo_pgsql` PHP extension.
**Please note**: this is much more complicated than migrating only the files and also not as failproof so be warned! Also, this will not work on former snap installations as the snap is read-only and thus you cannot install the necessary `pdo_pgsql` PHP extension. So if migrating from snap, you will need to use one of the other methods. However you could try to ask if the snaps maintainer could add this one small PHP extension to the snap here: https://github.com/nextcloud-snap/nextcloud-snap/issues which would allow for an easy migration.
The procedure for migrating the files and the database works like this:
1. Make sure that your old instance is on exactly the same version like the version used in Nextcloud AIO. (e.g. 23.0.0) You can find the used version here: [click here](https://github.com/nextcloud/all-in-one/search?l=Dockerfile&q=NEXTCLOUD_VERSION&type=). If not, simply upgrade your former installation to that version or wait until the version used in Nextcloud AIO got updated to the same version of your former installation or the other way around.

View File

@@ -21,6 +21,12 @@
"type": "string"
}
},
"cap_add": {
"type": "array",
"items": {
"type": "string"
}
},
"depends_on": {
"type": "array",
"items": {

View File

@@ -203,7 +203,7 @@
"internal_port": "9980",
"environment": [
"aliasgroup1=https://%NC_DOMAIN%:443",
"extra_params=--o:ssl.enable=false --o:ssl.termination=true --o:logging.level=warning --o:home_mode.enable=true %COLLABORA_SECCOMP_POLICY% --o:remote_font_config.url=https://%NC_DOMAIN%/apps/richdocuments/settings/fonts.json",
"extra_params=--o:ssl.enable=false --o:ssl.termination=true --o:mount_jail_tree=false --o:logging.level=warning --o:home_mode.enable=true %COLLABORA_SECCOMP_POLICY% --o:remote_font_config.url=https://%NC_DOMAIN%/apps/richdocuments/settings/fonts.json",
"dictionaries=%COLLABORA_DICTIONARIES%",
"TZ=%TIMEZONE%",
"server_name=%NC_DOMAIN%"
@@ -318,6 +318,9 @@
],
"devices": [
"/dev/fuse"
],
"cap_add": [
"SYS_ADMIN"
]
},
{
@@ -411,7 +414,10 @@
"environment": [
"TZ=%TIMEZONE%"
],
"restart": "unless-stopped"
"restart": "unless-stopped",
"cap_add": [
"SYS_NICE"
]
},
{
"container_name": "nextcloud-aio-fulltextsearch",

View File

@@ -23,6 +23,8 @@ class Container {
private array $secrets;
/** @var string[] */
private array $devices;
/** @var string[] */
private array $capAdd;
private DockerActionManager $dockerActionManager;
public function __construct(
@@ -38,6 +40,7 @@ class Container {
array $dependsOn,
array $secrets,
array $devices,
array $capAdd,
DockerActionManager $dockerActionManager
) {
$this->identifier = $identifier;
@@ -52,6 +55,7 @@ class Container {
$this->dependsOn = $dependsOn;
$this->secrets = $secrets;
$this->devices = $devices;
$this->capAdd = $capAdd;
$this->dockerActionManager = $dockerActionManager;
}
@@ -83,6 +87,10 @@ class Container {
return $this->devices;
}
public function GetCapAdds() : array {
return $this->capAdd;
}
public function GetPorts() : ContainerPorts {
return $this->ports;
}

View File

@@ -213,6 +213,11 @@ class ContainerDefinitionFetcher
$devices = $entry['devices'];
}
$capAdd = [];
if (isset($entry['cap_add'])) {
$capAdd = $entry['cap_add'];
}
$containers[] = new Container(
$entry['container_name'],
$displayName,
@@ -226,6 +231,7 @@ class ContainerDefinitionFetcher
$dependsOn,
$secrets,
$devices,
$capAdd,
$this->container->get(DockerActionManager::class)
);
}

View File

@@ -411,9 +411,13 @@ class DockerActionManager
$requestBody['HostConfig']['Devices'] = $devices;
}
$capAdds = $container->GetCapAdds();
if (count($capAdds) > 0) {
$requestBody['HostConfig']['CapAdd'] = $capAdds;
}
// Special things for the backup container which should not be exposed in the containers.json
if ($container->GetIdentifier() === 'nextcloud-aio-borgbackup') {
$requestBody['HostConfig']['CapAdd'] = ["SYS_ADMIN"];
$requestBody['HostConfig']['SecurityOpt'] = ["apparmor:unconfined"];
// Additional backup directories

View File

@@ -16,7 +16,7 @@
</header>
<div class="content">
<h1>Nextcloud AIO v4.5.1</h1>
<h1>Nextcloud AIO v4.6.2</h1>
{# Add 2nd tab warning #}
<script type="text/javascript" src="second-tab-warning.js"></script>

View File

@@ -445,7 +445,7 @@ You can configure the Nextcloud container to use a specific directory on your ho
- An example for Linux is `-e NEXTCLOUD_DATADIR="/mnt/ncdata"`.
- On macOS it might be `-e NEXTCLOUD_DATADIR="/var/nextcloud-data"`
- For Synology it may be `-e NEXTCLOUD_DATADIR="/volume1/docker/nextcloud/data"`.
- On Windows it might be `-e NEXTCLOUD_DATADIR="/run/desktop/mnt/host/c/ncdata"`. (This path is equivalent to `C:\backup` on your Windows host so you need to translate the path accordingly. Hint: the path that you enter needs to start with `/run/desktop/mnt/host/`. Append to that the exact location on your windows host, e.g. `c/ncdata` which is equivalent to `C:\ncdata`.)
- On Windows it might be `-e NEXTCLOUD_DATADIR="/run/desktop/mnt/host/c/ncdata"`. (This path is equivalent to `C:\ncdata` on your Windows host so you need to translate the path accordingly. Hint: the path that you enter needs to start with `/run/desktop/mnt/host/`. Append to that the exact location on your windows host, e.g. `c/ncdata` which is equivalent to `C:\ncdata`.)
- Another option is to provide a specific volume name here with: `-e NEXTCLOUD_DATADIR="nextcloud_aio_nextcloud_datadir"`. This volume needs to be created beforehand manually by you in order to be able to use it. e.g. with:
```
docker volume create ^
@@ -459,7 +459,7 @@ You can configure the Nextcloud container to use a specific directory on your ho
### Can I use a CIFS/SMB share as Nextcloud's datadir?
Sure. Add this to the `/etc/fstab` file: <br>
`<your-storage-host-and-subpath> <your-mount-dir> cifs rw,credentials=<your-credentials-file>,uid=33,gid=0,file_mode=0770,dir_mode=0770 0 0`<br>
`<your-storage-host-and-subpath> <your-mount-dir> cifs rw,mfsymlinks,seal,credentials=<your-credentials-file>,uid=33,gid=0,file_mode=0770,dir_mode=0770 0 0`<br>
(Of course you need to modify `<your-storage-host-and-subpath>`, `<your-mount-dir>` and `<your-credentials-file>` for your specific case.)
One example could look like this:<br>
@@ -477,10 +477,11 @@ Now you can use `/mnt/storagebox` as Nextcloud's datadir like described in the s
By default, the Nextcloud container is confined and cannot access directories on the host OS. You might want to change this when you are planning to use local external storage in Nextcloud to store some files outside the data directory and can do so by adding the environmental variable `NEXTCLOUD_MOUNT` to the initial startup of the mastercontainer. Allowed values for that variable are strings that start with `/` and are not equal to `/`.
- Two examples for Linux are `-e NEXTCLOUD_MOUNT="/mnt/"` and `-e NEXTCLOUD_MOUNT="/media/"`.
- On macOS it might be `-e NEXTCLOUD_MOUNT="/Volumes/your_drive/"`
- For Synology it may be `-e NEXTCLOUD_MOUNT="/volume1/"`.
- On Windows is this option not supported.
- On Windows it might be `-e NEXTCLOUD_MOUNT="/run/desktop/mnt/host/d/your-folder/"`. (This path is equivalent to `D:\your-folder` on your Windows host so you need to translate the path accordingly. Hint: the path that you enter needs to start with `/run/desktop/mnt/host/`. Append to that the exact location on your windows host, e.g. `d/your-folder/` which is equivalent to `D:\your-folder`.)
After using this option, please make sure to apply the correct permissions to the directories that you want to use in Nextcloud. E.g. `sudo chown -R 33:0 /mnt/your-drive-mountpoint` and `sudo chmod -R 750 /mnt/your-drive-mountpoint` should make it work on Linux when you have used `-e NEXTCLOUD_MOUNT="/mnt/"`.
After using this option, please make sure to apply the correct permissions to the directories that you want to use in Nextcloud. E.g. `sudo chown -R 33:0 /mnt/your-drive-mountpoint` and `sudo chmod -R 750 /mnt/your-drive-mountpoint` should make it work on Linux when you have used `-e NEXTCLOUD_MOUNT="/mnt/"`. On Windows you could do this e.g. with `docker exec -it nextcloud-aio-nextcloud chown -R 33:0 /run/desktop/mnt/host/d/your-folder/` and `docker exec -it nextcloud-aio-nextcloud chmod -R 750 /run/desktop/mnt/host/d/your-folder/`.
You can then navigate to the apps management page, activate the external storage app, navigate to `https://your-nc-domain.com/settings/admin/externalstorages` and add a local external storage directory that will be accessible inside the container at the same place that you've entered. E.g. `/mnt/your-drive-mountpoint` will be mounted to `/mnt/your-drive-mountpoint` inside the container, etc.